Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.core.resources
Interface ICommand

public interface ICommand

A builder command names a builder and supplies a table of name-value argument pairs.

This interface is not intended to be implemented by clients.

See Also:
  `IProjectDescription`

Method Summary
`Map` | `getArguments()` Returns a table of the arguments for this command, or `null` if there are no arguments.
`String` | `getBuilderName()` Returns the name of the builder to run for this command, or `null` if the name has not been set.
`void` | `setArguments(Map args)` Sets this command's arguments to be the given table of name-values pairs, or to `null` if there are no arguments.
`void` | `setBuilderName(String builderName)` Sets the name of the builder to run for this command.

Method Detail

### getArguments

    public Map getArguments()

  Returns a table of the arguments for this command, or `null` if there are no arguments. The argument names and values are both strings.

  Returns:
    a table of command arguments (key type : `String` value type : `String`), or `null`
  See Also:
    `setArguments(Map)`

### getBuilderName

    public String getBuilderName()

  Returns the name of the builder to run for this command, or `null` if the name has not been set.

  Returns:
    the name of the builder, or `null` if not set
  See Also:
    `setBuilderName(String)`

### setArguments

    public void setArguments(Map args)

  Sets this command's arguments to be the given table of name-values pairs, or to `null` if there are no arguments. The argument names and values are both strings.

  Individual builders specify their argument expectations.

  Note that modifications to the arguments of a command being used in a running builder may affect the run of that builder but will not affect any subsequent runs. To change a command permanently you must install the command into the relevant project build spec using `IProjectDescription.setBuildSpec`.

  Parameters:
    `args` - a table of command arguments (keys and values must both be of type `String`), or `null`
  See Also:
    `getArguments()`

### setBuilderName

    public void setBuilderName(String builderName)

  Sets the name of the builder to run for this command.

  The builder name comes from the extension that plugs in to the standard `org.eclipse.core.resources.builders` extension point.

  Parameters:
    `builderName` - the name of the builder
  See Also:
    `getBuilderName()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.